GET /public/flowcharts/{token}
Viewer público single-token (schema legado).
- Access: Public (link or signature)
- Service:
https://api-flow.axuz.net
Accepted authentication
No authentication (public route, or protected by link/signature).
Back-compat com URLs distribuídas antes da Fase share-rebuild. Novos shares usam /public/shared/{token}.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token | path | string | yes | 16 bytes hex (2^128 espaço). |
Responses
200
OK.
| Name | Type | Required | Description |
|---|---|---|---|
title | string | yes | |
document | FlowDocument | yes | Shape enxuta espelhando |
document.nodes | array<FlowNode> | yes | |
document.nodes[].id | string | yes | |
document.nodes[].type | string | yes | |
document.nodes[].position | FlowXY | yes | |
document.nodes[].position.x | number | yes | |
document.nodes[].position.y | number | yes | |
document.nodes[].width | integer | null | no | |
document.nodes[].height | integer | null | no | |
document.nodes[].parentNode | string | no | |
document.nodes[].extent | string | no | |
document.nodes[].data | object | yes | |
document.nodes[].style | object | no | |
document.edges | array<FlowEdge> | yes | |
document.edges[].id | string | yes | |
document.edges[].source | string | yes | |
document.edges[].target | string | yes | |
document.edges[].type | string | no | |
document.edges[].data | object | no | |
last_updated_at | string<date-time> | yes |
404
Token inválido / flowchart deletado / expirado.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
429
Rate limit per-token (60 req/min).
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Erro interno. Tente de novo com backoff; reporte o X-Request-Id.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X GET 'https://api-flow.axuz.net/public/flowcharts/TOKEN'Node.js
const res = await fetch("https://api-flow.axuz.net/public/flowcharts/TOKEN", {
method: 'GET',
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://api-flow.axuz.net/public/flowcharts/TOKEN",
timeout=30,
)
res.raise_for_status()
print(res.json())